/***********************************************
 * INIT THIRD PARTY SCRIPTS
 ***********************************************/
(function ($) {
  'use strict';
  /**
   * Remove overflow for sticky
   */

  if ($('.sticky-column, .has-sticky-column').length) {
    $('.vlt-main').css('overflow', 'inherit');
  }
  /**
   * Inner section spacement elementor
   */


  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/global', function ($scope) {
      function calc($scope) {
        if ($scope.find('.elementor-inner-section').length) {
          $scope.find('.elementor-inner-section .elementor-column-gap-custom, .elementor-inner-section .elementor-column-gap-extended').each(function () {
            var offset = parseFloat($(this).find('.elementor-element-populated').css('padding-left')) || 0;
            $(this).css({
              'margin-left': `${-offset}px`,
              'width': `calc(100% + ${offset * 2}px)`
            });
          });
        }
      }

      calc($scope);
      VLTJS.debounceResize(function () {
        calc($scope);
      });
    });
  });
  /**
   * Widget menu
   */

  if (typeof $.fn.superclick !== 'undefined') {
    $('.widget_pages > ul, .widget_nav_menu ul.menu').superclick({
      delay: 300,
      cssArrows: false,
      animation: {
        opacity: 'show',
        height: 'show'
      },
      animationOut: {
        opacity: 'hide',
        height: 'hide'
      }
    });
  }
  /**
   * Fitvids
   */


  if (typeof $.fn.fitVids !== 'undefined') {
    VLTJS.body.fitVids();
  }
  /**
   * Back button
   */


  $('.btn-go-back').on('click', function (e) {
    e.preventDefault();
    window.history.back();
  });
  /**
   * Jarallax
   */

  if (typeof $.fn.jarallax !== 'undefined') {
    $('.jarallax, .elementor-section.jarallax, .elementor-column.jarallax>.elementor-column-wrap').jarallax({
      speed: 0.8
    });
  }
  /**
   * AOS animation
   */


  if (typeof AOS !== 'undefined') {
    function aos() {
      AOS.init({
        disable: 'mobile',
        offset: 120,
        once: true,
        duration: 1000,
        easing: 'ease'
      });

      function aos_refresh() {
        AOS.refresh();
      }

      aos_refresh();
      VLTJS.debounceResize(aos_refresh);
    }

    VLTJS.window.on('vlt.site-loaded', aos);
  }
  /**
   * Fancybox
   */


  if (typeof $.fn.fancybox !== 'undefined') {
    $.fancybox.defaults.btnTpl = {
      close: '<button data-fancybox-close class="fancybox-button fancybox-button--close">' + '<i class="fa-regular fa-xmark"></i>' + '</button>',
      arrowLeft: '<a data-fancybox-prev class="fancybox-button fancybox-button--arrow_left" href="javascript:;">' + '<i class="fa-regular fa-angle-left"></i>' + '</a>',
      arrowRight: '<a data-fancybox-next class="fancybox-button fancybox-button--arrow_right" href="javascript:;">' + '<i class="fa-regular fa-angle-right"></i>' + '</a>',
      smallBtn: '<button type="button" data-fancybox-close class="fancybox-button fancybox-close-small">' + '<i class="fa-regular fa-xmark"></i>' + '</button>'
    };
    $.fancybox.defaults.buttons = ['close'];
    $.fancybox.defaults.infobar = false;
    $.fancybox.defaults.transitionEffect = 'slide';
  }
})(jQuery);
/***********************************************
 * THEME: ASIDE SIDEBAR
 ***********************************************/
(function ($) {
  'use strict';

  var sidebarIsOpen = false;
  VLTJS.asideSidebar = {
    init: function () {
      var sidebar = $('.vlt-aside-sidebar'),
          sidebarToggle = $('#vlt-aside-sidebar-toggle'),
          sidebarClose = $('#vlt-aside-sidebar-close');
      sidebarToggle.on('click', function (e) {
        e.preventDefault();

        if (!sidebarIsOpen) {
          VLTJS.asideSidebar.open_sidebar(sidebar);
        } else {
          VLTJS.asideSidebar.close_sidebar(sidebar);
        }
      });
      VLTJS.document.on('click', function () {
        if (sidebarIsOpen) {
          VLTJS.asideSidebar.close_sidebar(sidebar);
        }
      });
      VLTJS.document.on('click', '.vlt-aside-sidebar, #vlt-aside-sidebar-toggle', function (e) {
        e.stopPropagation();
      });
      sidebarClose.on('click', function (e) {
        e.preventDefault();

        if (sidebarIsOpen) {
          VLTJS.asideSidebar.close_sidebar(sidebar);
        }
      });
    },
    open_sidebar: function (sidebar) {
      sidebar.addClass('is-open');
      sidebarIsOpen = true;
    },
    close_sidebar: function (sidebar) {
      sidebar.removeClass('is-open');
      sidebarIsOpen = false;
    }
  };
  VLTJS.asideSidebar.init();
})(jQuery);
/***********************************************
 * THEME: ISOTOPE
 ***********************************************/
(function ($) {
  'use strict'; // check if plugin defined

  if (typeof $.fn.isotope == 'undefined') {
    return;
  }

  VLTJS.initIsotope = {
    init: function () {
      $('.vlt-isotope-grid').each(function () {
        var $this = $(this),
            setLayout = $this.data('layout'),
            setXGap = $this.data('x-gap'),
            setYGap = $this.data('y-gap');
        $this.css('--vlt-gutter-x', `${setXGap}px`);
        $this.css('--vlt-gutter-y', `${setYGap}px`);
        var $grid = $this.isotope({
          itemSelector: '.grid-item',
          layoutMode: setLayout,
          masonry: {
            columnWidth: '.grid-sizer'
          },
          cellsByRow: {
            columnWidth: '.grid-sizer'
          }
        });
        VLTJS.document.on('lazyloaded', function () {
          $grid.isotope('layout');
        });
      });
    }
  };
  VLTJS.initIsotope.init();
})(jQuery);
/***********************************************
 * THEME: PAGE NAVIGATION
 ***********************************************/
(function ($) {
  'use strict';

  if (!$('.single-post .vlt-main').length) {
    return;
  }

  function isInViewport(el) {
    const rect = el.getBoundingClientRect();
    const windowHeight = window.innerHeight || document.documentElement.clientHeight;
    const windowWidth = window.innerWidth || document.documentElement.clientWidth; // http://stackoverflow.com/questions/325933/determine-whether-two-date-ranges-overlap

    const vertInView = rect.top <= windowHeight && rect.top + rect.height >= 0;
    const horInView = rect.left <= windowWidth && rect.left + rect.width >= 0;
    return vertInView && horInView;
  }

  VLTJS.window.on('scroll resize', function () {
    if (isInViewport($('.single-post .vlt-main').get(0))) {
      $('.vlt-page-navigation').addClass('is-visible');
    } else {
      $('.vlt-page-navigation').removeClass('is-visible');
    }
  });
})(jQuery);
/***********************************************
 * THEME: PRELOADER
 ***********************************************/
(function ($) {
  'use strict'; // check if block defined

  if (!$('.vlt-site-preloader').length) {
    VLTJS.window.trigger('vlt.site-loaded');
    VLTJS.html.addClass('vlt-is-page-loaded');
    return;
  }

  VLTJS.html.imagesLoaded(function () {
    setTimeout(function () {
      $('.vlt-site-preloader').fadeOut(300);
      VLTJS.window.trigger('vlt.site-loaded');
      VLTJS.html.addClass('vlt-is-page-loaded');
    }, 1500);
  });
})(jQuery);
/***********************************************
 * THEME: SITE TO TOP
 ***********************************************/
(function ($) {
  'use strict';

  var backToTopBtn = $('.vlt-site-back-to-top');
  backToTopBtn.on('click', function (e) {
    e.preventDefault();
    setTimeout(function () {
      window.scrollTo({
        top: 0,
        behavior: 'smooth'
      });
    }, 2);
  });

  function _show_btn() {
    backToTopBtn.removeClass('is-hidden').addClass('is-visible');
  }

  function _hide_btn() {
    backToTopBtn.removeClass('is-visible').addClass('is-hidden');
  }

  _hide_btn();

  VLTJS.throttleScroll(function (type, scroll) {
    var offset = VLTJS.window.outerHeight() + 100;

    if (scroll > offset) {
      if (type === 'down') {
        _hide_btn();
      } else if (type === 'up') {
        _show_btn();
      }
    } else {
      _hide_btn();
    }
  });
})(jQuery);
/***********************************************
 * THEME: STICKY NAVBAR
 ***********************************************/
(function ($) {
  'use strict';

  VLTJS.stickyNavbar = {
    init: function () {
      var navbarMain = $('.vlt-header .vlt-navbar--main');
      navbarMain.each(function () {
        var currentNavbar = $(this); // sticky navbar

        var navbarHeight = currentNavbar.length ? currentNavbar.outerHeight() : 0,
            navbarMainOffset = currentNavbar.hasClass('vlt-navbar--offset') ? VLTJS.window.outerHeight() : navbarHeight; // fake navbar

        var navbarFake = $('<div class="vlt-fake-navbar">').hide();

        function _fixed_navbar() {
          currentNavbar.addClass('vlt-navbar--fixed');
          navbarFake.show();
        }

        function _unfixed_navbar() {
          currentNavbar.removeClass('vlt-navbar--fixed');
          navbarFake.hide();
        }

        function _on_scroll_navbar() {
          if (VLTJS.window.scrollTop() >= navbarMainOffset) {
            _fixed_navbar();
          } else {
            _unfixed_navbar();
          }
        }

        if (currentNavbar.hasClass('vlt-navbar--sticky')) {
          VLTJS.window.on('scroll resize', _on_scroll_navbar);

          _on_scroll_navbar(); // append fake navbar


          currentNavbar.after(navbarFake); // fake navbar height after resize

          navbarFake.height(currentNavbar.innerHeight());
          VLTJS.debounceResize(function () {
            navbarFake.height(currentNavbar.innerHeight());
          });
        } // hide navbar on scroll


        var navbarHideOnScroll = currentNavbar.filter('.vlt-navbar--hide-on-scroll');
        VLTJS.throttleScroll(function (type, scroll) {
          var start = 450;

          function _show_navbar() {
            navbarHideOnScroll.removeClass('vlt-on-scroll-hide').addClass('vlt-on-scroll-show');
          }

          function _hide_navbar() {
            navbarHideOnScroll.removeClass('vlt-on-scroll-show').addClass('vlt-on-scroll-hide');
          } // hide or show


          if (type === 'down' && scroll > start) {
            _hide_navbar();
          } else if (type === 'up' || type === 'end' || type === 'start') {
            _show_navbar();
          } // add solid color


          if (currentNavbar.hasClass('vlt-navbar--transparent') && currentNavbar.hasClass('vlt-navbar--sticky')) {
            scroll > navbarHeight ? currentNavbar.addClass('vlt-navbar--solid') : currentNavbar.removeClass('vlt-navbar--solid');
          } // sticky column fix


          if (currentNavbar.hasClass('vlt-navbar--fixed') && currentNavbar.hasClass('vlt-navbar--sticky') && !currentNavbar.hasClass('vlt-on-scroll-hide')) {
            VLTJS.html.addClass('vlt-is--header-fixed');
          } else {
            VLTJS.html.removeClass('vlt-is--header-fixed');
          }
        });
      });
    }
  };
  VLTJS.stickyNavbar.init();
})(jQuery);
/***********************************************
 * HEDAER: MENU DEFAULT
 ***********************************************/
(function ($) {
  'use strict'; // check if plugin defined

  if (typeof $.fn.superfish == 'undefined') {
    return;
  }

  VLTJS.menuDefault = {
    init: function () {
      var menu = $('.vlt-nav--default'),
          navigation = menu.find('ul.sf-menu'),
          correctDropdownTrigger = menu.parents('.container');
      navigation.superfish({
        popUpSelector: 'ul.sub-menu',
        delay: 0,
        speed: 300,
        speedOut: 300,
        cssArrows: false,
        animation: {
          opacity: 'show',
          marginTop: '0',
          visibility: 'visible'
        },
        animationOut: {
          opacity: 'hide',
          marginTop: '10px',
          visibility: 'hidden'
        }
      });

      function correctDropdownPosition($item) {
        $item.removeClass('left');
        var $dropdown = $item.children('ul.sub-menu');

        if ($dropdown.length) {
          var rect = $dropdown[0].getBoundingClientRect();

          if (rect.left + rect.width > correctDropdownTrigger.width()) {
            $item.addClass('left');
          }
        }
      }

      navigation.on('mouseenter', 'li.menu-item-has-children', function () {
        correctDropdownPosition($(this));
      });
    }
  };
  VLTJS.menuDefault.init();
})(jQuery);
/***********************************************
 * HEADER: MENU FULLSCREEN
 ***********************************************/
(function ($) {
  'use strict';

  var menuIsOpen = false;
  VLTJS.menuFullscreen = {
    init: function () {
      var menu = $('.vlt-nav--fullscreen'),
          menuToggle = $('#vlt-fullscreen-menu-toggle'),
          menuClose = $('#vlt-fullscreen-menu-close');
      menuToggle.on('click', function (e) {
        e.preventDefault();

        if (!menuIsOpen) {
          VLTJS.menuFullscreen.open_menu(menu);
        } else {
          VLTJS.menuFullscreen.close_menu(menu);
        }
      });
      menuClose.on('click', function (e) {
        e.preventDefault();

        if (menuIsOpen) {
          VLTJS.menuFullscreen.close_menu(menu);
        }
      });
      VLTJS.document.keyup(function (e) {
        if (e.keyCode === 27 && menuIsOpen) {
          e.preventDefault();
          VLTJS.menuFullscreen.close_menu(menu);
        }
      });
      menu.find('a[href^="#"]').not('[href="#"]').not('[rel="nofollow"]').on('click', function (e) {
        if (menuIsOpen) {
          VLTJS.menuFullscreen.close_menu(menu);
        }
      });
      menu.find('ul.sf-menu').superclick({
        delay: 500,
        cssArrows: true,
        animation: {
          opacity: 'show'
        }
      });
    },
    open_menu: function (menu) {
      menuIsOpen = true;
      menu.addClass('is-open');
    },
    close_menu: function (menu) {
      menuIsOpen = false;
      menu.removeClass('is-open');
    }
  };
  VLTJS.menuFullscreen.init();
})(jQuery);
/***********************************************
 * HEADER: MENU MOBILE
 ***********************************************/
(function ($) {
  'use strict';

  var menuIsOpen = false;
  VLTJS.menuMobile = {
    init: function () {
      var menu = $('.vlt-nav--mobile'),
          menuToggle = $('#vlt-mobile-menu-toggle');
      menuToggle.on('click', function (e) {
        e.preventDefault();

        if (!menuIsOpen) {
          VLTJS.menuMobile.open_menu(menu, menuToggle);
        } else {
          VLTJS.menuMobile.close_menu(menu, menuToggle);
        }
      });
      VLTJS.document.keyup(function (e) {
        if (e.keyCode === 27 && menuIsOpen) {
          e.preventDefault();
          VLTJS.menuMobile.close_menu(menu, menuToggle);
        }
      });
      menu.find('a[href^="#"]').not('[href="#"]').not('[rel="nofollow"]').on('click', function (e) {
        if (menuIsOpen) {
          VLTJS.menuMobile.close_menu(menu, menuToggle);
        }
      });
      menu.find('ul.sf-menu').superclick({
        delay: 500,
        cssArrows: true,
        animation: {
          opacity: 'show'
        }
      });
    },
    open_menu: function (menu, menuToggle) {
      menuIsOpen = true;
      menu.addClass('is-open');
      menuToggle.addClass('vlt-menu-burger--opened');
      menuToggle.find('i').toggleClass('fa-bars fa-close');
      menu.slideDown();
    },
    close_menu: function (menu, menuToggle) {
      menuIsOpen = false;
      menu.removeClass('is-open');
      menuToggle.removeClass('vlt-menu-burger--opened');
      menuToggle.find('i').toggleClass('fa-close fa-bars');
      menu.slideUp();
    }
  };
  VLTJS.menuMobile.init();
})(jQuery);
/***********************************************
 * HEADER: MENU SLIDE
 ***********************************************/
(function ($) {
  'use strict';

  var menuIsOpen = false;
  VLTJS.menuSlide = {
    init: function () {
      var menu = $('.vlt-nav--slide'),
          menuToggle = $('#vlt-slide-menu-toggle'),
          menuClose = $('#vlt-slide-menu-close');
      menuToggle.on('click', function (e) {
        e.preventDefault();

        if (!menuIsOpen) {
          VLTJS.menuSlide.open_menu(menu);
        } else {
          VLTJS.menuSlide.close_menu(menu);
        }
      });
      menuClose.on('click', function (e) {
        e.preventDefault();

        if (menuIsOpen) {
          VLTJS.menuSlide.close_menu(menu);
        }
      });
      VLTJS.document.keyup(function (e) {
        if (e.keyCode === 27 && menuIsOpen) {
          e.preventDefault();
          VLTJS.menuSlide.close_menu(menu);
        }
      });
      menu.find('a[href^="#"]').not('[href="#"]').not('[rel="nofollow"]').on('click', function (e) {
        if (menuIsOpen) {
          VLTJS.menuSlide.close_menu(menu);
        }
      });
      VLTJS.document.on('click', function () {
        if (menuIsOpen) {
          VLTJS.menuSlide.close_menu(menu);
        }
      });
      VLTJS.document.on('click', '.vlt-nav--slide, #vlt-slide-menu-toggle', function (e) {
        e.stopPropagation();
      });
      menu.find('ul.sf-menu').superclick({
        delay: 500,
        cssArrows: true,
        animation: {
          opacity: 'show'
        }
      });
    },
    open_menu: function (menu) {
      menuIsOpen = true;
      menu.addClass('is-open');
    },
    close_menu: function (menu) {
      menuIsOpen = false;
      menu.removeClass('is-open');
    }
  };
  VLTJS.menuSlide.init();
})(jQuery);
/***********************************************
 * WIDGET: ACCORDION
 ***********************************************/
(function ($) {
  'use strict';

  VLTJS.accordion = {
    init: function ($scope) {
      var accordion = $scope.find('.vlt-accordion');
      accordion.on('click', '.vlt-accordion__title', function () {
        var $this = $(this);

        if ($this.next().hasClass('is-show')) {
          $this.removeClass('is-active');
          $this.next().removeClass('is-show');
          $this.next().slideUp();
        } else {
          $this.parent().parent().find('.vlt-accordion__title').removeClass('is-active');
          $this.parent().parent().find('.vlt-accordion__content').removeClass('is-show');
          $this.parent().parent().find('.vlt-accordion__content').slideUp();
          $this.toggleClass('is-active');
          $this.next().toggleClass('is-show');
          $this.next().slideToggle();
        }
      });
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-accordion.default', VLTJS.accordion.init);
  });
})(jQuery);
/***********************************************
 * WIDGET: ALERT MESSAGE
 ***********************************************/
(function ($) {
  'use strict';

  VLTJS.alertMessage = {
    init: function ($scope) {
      $scope = typeof $scope === 'undefined' ? VLTJS.body : $scope;
      var alert = $scope.find('.vlt-alert-message');
      alert.on('click', '.vlt-alert-message__dismiss', function (e) {
        e.preventDefault();
        $scope.fadeOut(500);
      });
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-alert-message.default', VLTJS.alertMessage.init);
  });
})(jQuery);
/***********************************************
 * WIDGET: CONTENT SLIDER
 ***********************************************/
(function ($) {
  'use strict'; // check if plugin defined

  if (typeof Swiper === 'undefined') {
    return;
  }

  VLTJS.contentSlider = {
    init: function ($scope) {
      var slider = $scope.find('.vlt-content-slider'),
          anchor = slider.data('navigation-anchor'),
          gap = slider.data('gap') || 0,
          loop = slider.data('loop') == 'yes' ? true : false,
          speed = slider.data('speed') || 1000,
          autoplay = slider.data('autoplay') == 'yes' ? true : false,
          centered = slider.data('slides-centered') == 'yes' ? true : false,
          freemode = slider.data('free-mode') == 'yes' ? true : false,
          slider_offset = slider.data('slider-offset') == 'yes' ? true : false,
          mousewheel = slider.data('mousewheel') == 'yes' ? true : false,
          autoplay_speed = slider.data('autoplay-speed'),
          settings = slider.data('slide-settings');
      var swiper = new Swiper(slider.get(0), {
        init: false,
        spaceBetween: gap,
        grabCursor: true,
        loop: loop,
        speed: speed,
        centeredSlides: centered,
        freeMode: freemode,
        mousewheel: mousewheel,
        autoplay: autoplay ? {
          delay: autoplay_speed,
          disableOnInteraction: false
        } : false,
        autoHeight: true,
        slidesOffsetBefore: slider_offset ? $('.container').get(0).getBoundingClientRect().left + 15 : false,
        slidesOffsetAfter: slider_offset ? $('.container').get(0).getBoundingClientRect().left + 15 : false,
        navigation: {
          nextEl: $(anchor).find('.vlt-swiper-button-next').get(0),
          prevEl: $(anchor).find('.vlt-swiper-button-prev').get(0)
        },
        pagination: {
          el: $(anchor).find('.vlt-swiper-pagination').get(0),
          clickable: true
        },
        breakpoints: {
          // when window width is >= 576px
          576: {
            slidesPerView: settings.slides_to_show_mobile || settings.slides_to_show_tablet || settings.slides_to_show || 1,
            slidesPerGroup: settings.slides_to_scroll_mobile || settings.slides_to_scroll_tablet || settings.slides_to_scroll || 1
          },
          // when window width is >= 768px
          768: {
            slidesPerView: settings.slides_to_show_tablet || settings.slides_to_show || 1,
            slidesPerGroup: settings.slides_to_scroll_tablet || settings.slides_to_scroll || 1
          },
          // when window width is >= 992px
          992: {
            slidesPerView: settings.slides_to_show || 1,
            slidesPerGroup: settings.slides_to_scroll || 1
          }
        }
      });
      swiper.init();
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-content-slider.default', VLTJS.contentSlider.init);
  });
})(jQuery);
/***********************************************
 * WIDGET: COUNTDOWN
 ***********************************************/
(function ($) {
  'use strict'; // check if plugin defined

  if (typeof $.fn.countdown === 'undefined') {
    return;
  }

  VLTJS.countdown = {
    init: function ($scope) {
      var countdown = $scope.find('.vlt-countdown'),
          due_date = countdown.data('due-date') || false;
      countdown.countdown(due_date, function (event) {
        countdown.find('[data-weeks]').html(event.strftime('%W'));
        countdown.find('[data-days]').html(event.strftime('%D'));
        countdown.find('[data-hours]').html(event.strftime('%H'));
        countdown.find('[data-minutes]').html(event.strftime('%M'));
        countdown.find('[data-seconds]').html(event.strftime('%S'));
      });
      $('<span class="sep"></span>').insertAfter(countdown.filter('.vlt-countdown--inline').find('.vlt-countdown__item:not(:last-child'));
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-countdown.default', VLTJS.countdown.init);
  });
})(jQuery);
/***********************************************
 * WIDGET: COUNTER UP
 ***********************************************/
(function ($) {
  'use strict'; // check if plugin defined

  if (typeof $.fn.numerator == 'undefined') {
    return;
  }

  VLTJS.counterUp = {
    init: function ($scope) {
      var counterUp = $scope.find('.vlt-counter-up'),
          animation_duration = counterUp.data('animation-speed') || 1000,
          ending_number = counterUp.find('span.counter'),
          ending_number_value = ending_number.text(),
          delimiter = counterUp.data('delimiter') ? counterUp.data('delimiter') : ',';
      counterUp.one('inview', function () {
        ending_number.text('0');
        ending_number.numerator({
          easing: 'linear',
          duration: animation_duration,
          delimiter: delimiter,
          toValue: ending_number_value
        });
      });
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-counter-up.default', VLTJS.counterUp.init);
  });
})(jQuery);
/***********************************************
 * WIDGET: FANCY TEXT
 ***********************************************/
(function ($) {
  'use strict'; // check if plugin defined

  if (typeof Typed == 'undefined') {
    return;
  } // check if plugin defined


  if (typeof $.fn.Morphext == 'undefined') {
    return;
  }

  VLTJS.fancyText = {
    init: function ($scope) {
      var fancyText = $scope.find('.vlt-fancy-text'),
          strings = fancyText.find('.strings'),
          fancy_text = fancyText.data('fancy-text') || '',
          fancy_text = fancy_text.split('|'),
          animation_type = fancyText.data('animation-type') || '',
          typing_speed = fancyText.data('typing-speed') || '',
          delay = fancyText.data('delay') || '',
          type_cursor = fancyText.data('type-cursor') == 'yes' ? true : false,
          type_cursor_symbol = fancyText.data('type-cursor-symbol') || '|',
          typing_loop = fancyText.data('typing-loop') == 'yes' ? true : false;

      if (animation_type == 'typing') {
        new Typed(strings.get(0), {
          strings: fancy_text,
          typeSpeed: typing_speed,
          backSpeed: 0,
          startDelay: 300,
          backDelay: delay,
          showCursor: type_cursor,
          cursorChar: type_cursor_symbol,
          loop: typing_loop
        });
      } else {
        strings.show().Morphext({
          animation: animation_type,
          separator: ', ',
          speed: delay,
          complete: function () {// Overrides default empty function
          }
        });
      }
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-fancy-text.default', VLTJS.fancyText.init);
  });
})(jQuery);
/***********************************************
 * WIDGET: GOOGLE MAP
 ***********************************************/
(function ($) {
  'use strict';

  VLTJS.googleMap = {
    init: function ($scope) {
      var googleMap = $scope.find('.vlt-google-map'),
          map_lat = googleMap.data('map-lat'),
          map_lng = googleMap.data('map-lng'),
          map_zoom = googleMap.data('map-zoom'),
          map_gesture_handling = googleMap.data('map-gesture-handling'),
          map_zoom_control = googleMap.data('map-zoom-control') ? true : false,
          map_zoom_control_position = googleMap.data('map-zoom-control-position'),
          map_default_ui = googleMap.data('map-default-ui') ? false : true,
          map_type = googleMap.data('map-type'),
          map_type_control = googleMap.data('map-type-control') ? true : false,
          map_type_control_style = googleMap.data('map-type-control-style'),
          map_type_control_position = googleMap.data('map-type-control-position'),
          map_streetview_control = googleMap.data('map-streetview-control') ? true : false,
          map_streetview_position = googleMap.data('map-streetview-position'),
          map_info_window_width = googleMap.data('map-info-window-width'),
          map_locations = googleMap.data('map-locations'),
          map_styles = googleMap.data('map-style') || '',
          infowindow,
          map;

      function initMap() {
        var myLatLng = {
          lat: parseFloat(map_lat),
          lng: parseFloat(map_lng)
        };

        if (typeof google === 'undefined') {
          return;
        }

        var map = new google.maps.Map(googleMap[0], {
          center: myLatLng,
          zoom: map_zoom,
          disableDefaultUI: map_default_ui,
          zoomControl: map_zoom_control,
          zoomControlOptions: {
            position: google.maps.ControlPosition[map_zoom_control_position]
          },
          mapTypeId: map_type,
          mapTypeControl: map_type_control,
          mapTypeControlOptions: {
            style: google.maps.MapTypeControlStyle[map_type_control_style],
            position: google.maps.ControlPosition[map_type_control_position]
          },
          streetViewControl: map_streetview_control,
          streetViewControlOptions: {
            position: google.maps.ControlPosition[map_streetview_position]
          },
          styles: map_styles,
          gestureHandling: map_gesture_handling
        });
        $.each(map_locations, function (index, googleMapement, content) {
          var content = '\
					<div class="vlt-google-map__container">\
					<h6>' + googleMapement.title + '</h6>\
					<div>' + googleMapement.text + '</div>\
					</div>';
          var icon = '';

          if (googleMapement.pin_icon !== '') {
            if (googleMapement.pin_icon_custom) {
              icon = googleMapement.pin_icon_custom;
            } else {
              icon = '';
            }
          }

          var marker = new google.maps.Marker({
            map: map,
            position: new google.maps.LatLng(parseFloat(googleMapement.lat), parseFloat(googleMapement.lng)),
            animation: google.maps.Animation.DROP,
            icon: icon
          });

          if (googleMapement.title !== '' && googleMapement.text !== '') {
            addInfoWindow(marker, content);
          }

          google.maps.event.addListener(marker, 'click', toggleBounce);

          function toggleBounce() {
            if (marker.getAnimation() != null) {
              marker.setAnimation(null);
            } else {
              marker.setAnimation(google.maps.Animation.BOUNCE);
            }
          }
        });
      }

      function addInfoWindow(marker, content) {
        google.maps.event.addListener(marker, 'click', function () {
          if (!infowindow) {
            infowindow = new google.maps.InfoWindow({
              maxWidth: map_info_window_width
            });
          }

          infowindow.setContent(content);
          infowindow.open(map, marker);
        });
      }

      initMap();
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-google-map.default', VLTJS.googleMap.init);
  });
})(jQuery);
/***********************************************
 * WIDGET: JUSTIFIED GALLERY
 ***********************************************/
(function ($) {
  'use strict'; // check if plugin defined

  if (typeof $.fn.justifiedGallery == 'undefined') {
    return;
  }

  VLTJS.justifiedGallery = {
    init: function ($scope) {
      var justifiedGallery = $scope.find('.vlt-justified-gallery'),
          row_height = justifiedGallery.data('row-height') || 360,
          last_row = justifiedGallery.data('last-row') || 'justify',
          margins = justifiedGallery.data('margins') || 0;
      justifiedGallery.imagesLoaded(function () {
        justifiedGallery.justifiedGallery({
          rowHeight: row_height,
          margins: margins,
          captions: false,
          border: 0,
          lastRow: last_row
        });
      });
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-justified-gallery.default', VLTJS.justifiedGallery.init);
  });
})(jQuery);
/***********************************************
 * WIDGET: PROGRESS BAR
 ***********************************************/
(function ($) {
  'use strict';

  VLTJS.progressBar = {
    init: function ($scope) {
      var progressBar = $scope.find('.vlt-progress-bar'),
          final_value = progressBar.data('final-value') || 0,
          animation_duration = progressBar.data('animation-speed') || 0;
      progressBar.one('inview', function () {
        progressBar.find('.vlt-progress-bar__track > .bar').animate({
          width: final_value + '%'
        }, animation_duration);
        setTimeout(function () {
          progressBar.find('.vlt-progress-bar__title > .counter').addClass('is-visible');
        }, animation_duration);
      });
    }
  };
  VLTJS.window.on('elementor/frontend/init', function () {
    elementorFrontend.hooks.addAction('frontend/element_ready/vlt-progress-bar.default', VLTJS.progressBar.init);
  });
})(jQuery);