/***********************************************
 * INIT THIRD PARTY SCRIPTS
 ***********************************************/
(function ($) {

	'use strict';

	/**
	 * Remove overflow for sticky
	 */
	if ($('.sticky-column, .has-sticky-column').length) {
		$('.vlt-main').css('overflow', 'inherit');
	}

	/**
	 * Inner section spacement elementor
	 */
	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction('frontend/element_ready/global', function ($scope) {

			function calc($scope) {

				if ($scope.find('.elementor-inner-section').length) {

					$scope.find('.elementor-inner-section .elementor-column-gap-custom, .elementor-inner-section .elementor-column-gap-extended').each(function () {

						var offset = parseFloat($(this).find('.elementor-element-populated').css('padding-left')) || 0;

						$(this).css({
							'margin-left': `${-offset}px`,
							'width': `calc(100% + ${offset * 2}px)`
						});

					});

				}

			}

			calc($scope);
			VLTJS.debounceResize(function() {
				calc($scope);
			});

		});
	});

	/**
	 * Widget menu
	 */
	if (typeof $.fn.superclick !== 'undefined') {

		$('.widget_pages > ul, .widget_nav_menu ul.menu').superclick({
			delay: 300,
			cssArrows: false,
			animation: {
				opacity: 'show',
				height: 'show'
			},
			animationOut: {
				opacity: 'hide',
				height: 'hide'
			},
		});

	}

	/**
	 * Fitvids
	 */
	if (typeof $.fn.fitVids !== 'undefined') {
		VLTJS.body.fitVids();
	}

	/**
	 * Back button
	 */
	$('.btn-go-back').on('click', function (e) {
		e.preventDefault();
		window.history.back();
	});

	/**
	 * Jarallax
	 */
	if (typeof $.fn.jarallax !== 'undefined') {

		$('.jarallax, .elementor-section.jarallax, .elementor-column.jarallax>.elementor-column-wrap').jarallax({
			speed: 0.8
		});

	}

	/**
	 * AOS animation
	 */
	if (typeof AOS !== 'undefined') {

		function aos() {

			AOS.init({
				disable: 'mobile',
				offset: 120,
				once: true,
				duration: 1000,
				easing: 'ease',
			});

			function aos_refresh() {
				AOS.refresh();
			}

			aos_refresh();
			VLTJS.debounceResize(aos_refresh);

		}
		VLTJS.window.on('vlt.site-loaded', aos);
	}

	/**
	 * Fancybox
	 */
	if (typeof $.fn.fancybox !== 'undefined') {
		$.fancybox.defaults.btnTpl = {
			close: '<button data-fancybox-close class="fancybox-button fancybox-button--close">' +
				'<i class="fa-regular fa-xmark"></i>' +
				'</button>',
			arrowLeft: '<a data-fancybox-prev class="fancybox-button fancybox-button--arrow_left" href="javascript:;">' +
				'<i class="fa-regular fa-angle-left"></i>' +
				'</a>',
			arrowRight: '<a data-fancybox-next class="fancybox-button fancybox-button--arrow_right" href="javascript:;">' +
				'<i class="fa-regular fa-angle-right"></i>' +
				'</a>',
			smallBtn: '<button type="button" data-fancybox-close class="fancybox-button fancybox-close-small">' +
				'<i class="fa-regular fa-xmark"></i>' +
				'</button>'
		};
		$.fancybox.defaults.buttons = [
			'close'
		];
		$.fancybox.defaults.infobar = false;
		$.fancybox.defaults.transitionEffect = 'slide';
	}

})(jQuery);