/***********************************************
 * HEADER: MENU FULLSCREEN
 ***********************************************/
(function ($) {

	'use strict';

	var menuIsOpen = false;

	VLTJS.menuFullscreen = {
		init: function () {

			var menu = $('.vlt-nav--fullscreen'),
				menuToggle = $('#vlt-fullscreen-menu-toggle'),
				menuClose = $('#vlt-fullscreen-menu-close');

			menuToggle.on('click', function (e) {
				e.preventDefault();
				if (!menuIsOpen) {
					VLTJS.menuFullscreen.open_menu(menu);
				} else {
					VLTJS.menuFullscreen.close_menu(menu);
				}
			});

			menuClose.on('click', function (e) {
				e.preventDefault();
				if (menuIsOpen) {
					VLTJS.menuFullscreen.close_menu(menu);
				}
			});

			VLTJS.document.keyup(function (e) {
				if (e.keyCode === 27 && menuIsOpen) {
					e.preventDefault();
					VLTJS.menuFullscreen.close_menu(menu);
				}
			});

			menu.find('a[href^="#"]').not('[href="#"]').not('[rel="nofollow"]').on('click', function (e) {
				if (menuIsOpen) {
					VLTJS.menuFullscreen.close_menu(menu);
				}
			});

			menu.find('ul.sf-menu').superclick({
				delay: 500,
				cssArrows: true,
				animation: {
					opacity: 'show'
				}
			});

		},
		open_menu: function (menu) {
			menuIsOpen = true;
			menu.addClass('is-open');
		},
		close_menu: function (menu) {
			menuIsOpen = false;
			menu.removeClass('is-open');
		}
	};

	VLTJS.menuFullscreen.init();

})(jQuery);