/***********************************************
 * HEADER: MENU MOBILE
 ***********************************************/
(function ($) {

	'use strict';

	var menuIsOpen = false;

	VLTJS.menuMobile = {
		init: function () {

			var menu = $('.vlt-nav--mobile'),
				menuToggle = $('#vlt-mobile-menu-toggle');

			menuToggle.on('click', function (e) {
				e.preventDefault();
				if (!menuIsOpen) {
					VLTJS.menuMobile.open_menu(menu, menuToggle);
				} else {
					VLTJS.menuMobile.close_menu(menu, menuToggle);
				}
			});

			VLTJS.document.keyup(function (e) {
				if (e.keyCode === 27 && menuIsOpen) {
					e.preventDefault();
					VLTJS.menuMobile.close_menu(menu, menuToggle);
				}
			});

			menu.find('a[href^="#"]').not('[href="#"]').not('[rel="nofollow"]').on('click', function (e) {
				if (menuIsOpen) {
					VLTJS.menuMobile.close_menu(menu, menuToggle);
				}
			});

			menu.find('ul.sf-menu').superclick({
				delay: 500,
				cssArrows: true,
				animation: {
					opacity: 'show'
				}
			});

		},
		open_menu: function (menu, menuToggle) {
			menuIsOpen = true;
			menu.addClass('is-open');
			menuToggle.addClass('vlt-menu-burger--opened');
			menuToggle.find('i').toggleClass('fa-bars fa-close');
			menu.slideDown();
		},
		close_menu: function (menu, menuToggle) {
			menuIsOpen = false;
			menu.removeClass('is-open');
			menuToggle.removeClass('vlt-menu-burger--opened');
			menuToggle.find('i').toggleClass('fa-close fa-bars');
			menu.slideUp();
		}
	};

	VLTJS.menuMobile.init();

})(jQuery);