/***********************************************
 * THEME: ASIDE SIDEBAR
 ***********************************************/
(function ($) {

	'use strict';

	var sidebarIsOpen = false;

	VLTJS.asideSidebar = {
		init: function () {

			var sidebar = $('.vlt-aside-sidebar'),
				sidebarToggle = $('#vlt-aside-sidebar-toggle'),
				sidebarClose = $('#vlt-aside-sidebar-close');

			sidebarToggle.on('click', function (e) {
				e.preventDefault();
				if (!sidebarIsOpen) {
					VLTJS.asideSidebar.open_sidebar(sidebar);
				} else {
					VLTJS.asideSidebar.close_sidebar(sidebar);
				}
			});

			VLTJS.document.on('click', function() {
				if(sidebarIsOpen) {
					VLTJS.asideSidebar.close_sidebar(sidebar);
				}
			});

			VLTJS.document.on('click', '.vlt-aside-sidebar, #vlt-aside-sidebar-toggle', function(e) {
				e.stopPropagation();
			});

			sidebarClose.on('click', function(e) {
				e.preventDefault();
				if(sidebarIsOpen) {
					VLTJS.asideSidebar.close_sidebar(sidebar);
				}
			});

		},
		open_sidebar: function (sidebar) {
			sidebar.addClass('is-open');
			sidebarIsOpen = true;
		},
		close_sidebar: function (sidebar) {
		   sidebar.removeClass('is-open');
		   sidebarIsOpen = false;
		}
	};

	VLTJS.asideSidebar.init();

})(jQuery);