/***********************************************
 * THEME: PAGE NAVIGATION
 ***********************************************/
(function ($) {

	'use strict';

	if (!$('.single-post .vlt-main').length) {
		return;
	}

	function isInViewport(el) {
		const rect = el.getBoundingClientRect();
		const windowHeight = (window.innerHeight || document.documentElement.clientHeight);
		const windowWidth = (window.innerWidth || document.documentElement.clientWidth);

		// http://stackoverflow.com/questions/325933/determine-whether-two-date-ranges-overlap
		const vertInView = (rect.top <= windowHeight) && ((rect.top + rect.height) >= 0);
		const horInView = (rect.left <= windowWidth) && ((rect.left + rect.width) >= 0);

		return (vertInView && horInView);
	}

	VLTJS.window.on('scroll resize', function(){
		if(isInViewport($('.single-post .vlt-main').get(0))) {
			$('.vlt-page-navigation').addClass('is-visible');
		} else {
			$('.vlt-page-navigation').removeClass('is-visible');
		}
	});

})(jQuery);