/***********************************************
 * WIDGET: PROGRESS BAR
 ***********************************************/
(function ($) {

	'use strict';

	VLTJS.progressBar = {
		init: function ($scope) {

			var progressBar = $scope.find('.vlt-progress-bar'),
				final_value = progressBar.data('final-value') || 0,
				animation_duration = progressBar.data('animation-speed') || 0;

			progressBar.one('inview', function () {

				progressBar.find('.vlt-progress-bar__track > .bar').animate({
					width: final_value + '%'
				}, animation_duration);

				setTimeout(function () {
					progressBar.find('.vlt-progress-bar__title > .counter').addClass('is-visible');
				}, animation_duration);

			});

		}
	}

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-progress-bar.default',
			VLTJS.progressBar.init
		);
	});

})(jQuery);