<?php

/**
 * @author: VLThemes
 * @version: 2.0.3
 */

if ( post_password_required() ) {
	return;
}

?>

<div class="vlt-page-comments" id="comments">

	<?php if ( have_comments() ) : ?>

		<div class="vlt-page-comments__list">	

			<h4 class="vlt-page-comments__title"><?php comments_number( esc_html__( 'No Comments', 'folim' ) , esc_html__( 'One Comment', 'folim' ), esc_html__( 'Comments (%)', 'folim' ) ); ?></h4>

			<ul class="vlt-comments">
				
				<?php
					wp_list_comments( array(
						'avatar_size' => 95,
						'style' => 'ul',
						'max_depth' => '3',
						'short_ping' => true,
						'reply_text' => esc_html__( 'Reply', 'folim' ),
						'callback' => 'folim_custom_comment'
					) );
				?>

			</ul>

			<?php echo folim_get_comment_navigation(); ?>

		</div>			

	<?php endif; ?>

	<?php

		$commenter = wp_get_current_commenter();

		$args = array(
			'label_submit' => esc_html__( 'Submit Comment', 'folim' ) ,
			'title_reply' => esc_html__( 'Leave a Reply', 'folim' ) ,
			'title_reply_before' => '<h4 class="vlt-page-comments__title">',
			'title_reply_after' => '</h4>',
			'cancel_reply_before' => '',
			'cancel_reply_after' => '',
			'title_reply_to' => esc_html__( 'Leave a reply to %s', 'folim' ),
			'cancel_reply_link' => esc_html__( 'Cancel Reply', 'folim' ),
			'submit_button' => '<button type="submit" id="%2$s" class="%3$s">%4$s</button>',
			'class_submit' => 'vlt-btn vlt-btn--primary vlt-btn--block',
			'comment_field' => '<div class="vlt-form-group"><textarea id="comment" name="comment" rows="6" placeholder="' . esc_attr__( 'Comment', 'folim' ) . '"></textarea></div>',
			'fields' => array(
				'cookies' => false,
				'author' => '<div class="vlt-form-row three-col"><div class="vlt-form-group"><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" class="vlt-form-control" placeholder="'.esc_attr__( 'Name*', 'folim' ).'"></div>',
				'email' => '<div class="vlt-form-group"><input id="email" name="email" type="text" value="' . esc_attr( $commenter['comment_author_email'] ) . '" class="vlt-form-control"  placeholder="' . esc_attr__( 'E-mail*', 'folim' ) . '"></div>',
				'url' => '<div class="vlt-form-group"><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '"  size="30" maxlength="200" class="vlt-form-control" placeholder="' . esc_attr__( 'Website', 'folim' ) . '"></div></div>',
			),
		);

	?>

	<div class="vlt-page-comments__form">

		<?php comment_form($args); ?>

	</div>

</div>
<!-- /.vlt-page-comments-->