<?php

/**
 * @author: VLThemes
 * @version: 2.0.3
 */

$priority = 0;

/**
 * Footer general
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sfg_1',
	'section' => 'section_footer_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'folim' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_show',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Show', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'folim' ),
		'hide' => esc_html__( 'Hide', 'folim' ),
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_type',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Layout', 'folim' ),
	'description' => esc_html__( 'Select footer layout from the list below.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'folim' ),
		'widget' => esc_html__( 'Widget', 'folim' ),
	),
	'default' => 'default',
) );

VLT_Options::add_field( array(
	'type' => 'textarea',
	'settings' => 'footer_copyright',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Copyright', 'folim' ),
	'description' => esc_html__( 'Enter footer copyright. (%s) symbol generate current year.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
) );

/**
 * Footer Widget
 */
VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_columns',
	'section' => 'section_footer_widget',
	'label' => esc_html__( 'Widget Columns', 'folim' ),
	'description' => esc_html__( 'Select number of columns.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		1 => esc_html__( 'One Column', 'folim' ),
		2 => esc_html__( 'Two Column', 'folim' ),
		3 => esc_html__( 'Three Column', 'folim' ),
		4 => esc_html__( 'Four Column', 'folim' )
	),
	'default' => 4
) );