<?php

/**
 * @author: VLThemes
 * @version: 2.0.3
 */

$priority = 0;

/**
 * Blog general
 */
VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'sticky_sidebar',
	'section' => 'section_blog_general',
	'label' => esc_html__( 'Sticky Sidebar', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'folim' ),
		'disable' => esc_html__( 'Disable', 'folim' )
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'appearance_effect',
	'section' => 'section_blog_general',
	'label' => esc_html__( 'Appearance Effect', 'folim' ),
	'description' => esc_html__( 'Switch "Enable" if you want to enable appearance effect.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'folim' ),
		'disable' => esc_html__( 'Disable', 'folim' )
	),
	'default' => 'disable',
) );

/**
 * Blog page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_1',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'folim' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_layout',
	'section' => 'section_blog',
	'label' => esc_html__( 'Blog Layout', 'folim' ),
	'description' => esc_html__( 'Select a blog layout from the list below.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'folim' ),
		'classic' => esc_html__( 'Classic', 'folim' ),
		'masonry' => esc_html__( 'Masonry', 'folim' )
	),
	'default' => 'default',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_type_pagination',
	'section' => 'section_blog',
	'label' => esc_html__( 'Type Pagination', 'folim' ),
	'description' => esc_html__( 'Select the type of navigation from the list below.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'folim' ),
		'paged' => esc_html__( 'Paged', 'folim' ),
		'numeric' => esc_html__( 'Numeric', 'folim' )
	),
	'default' => 'numeric',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_2',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Page Title', 'folim' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'blog_title',
	'section' => 'section_blog',
	'label' => esc_html__( 'Blog Title', 'folim' ),
	'description' => esc_html__( 'Enter title for the blog.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => 'Recent News'
) );

/**
 * Archive page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sa_1',
	'section' => 'section_archive',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'folim' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_layout',
	'section' => 'section_archive',
	'label' => esc_html__( 'Archive Layout', 'folim' ),
	'description' => esc_html__( 'Select a blog layout from the list below.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'folim' ),
		'classic' => esc_html__( 'Classic', 'folim' ),
		'masonry' => esc_html__( 'Masonry', 'folim' )
	),
	'default' => 'default',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_type_pagination',
	'section' => 'section_archive',
	'label' => esc_html__( 'Type Pagination', 'folim' ),
	'description' => esc_html__( 'Select the type of navigation from the list below.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'folim' ),
		'paged' => esc_html__( 'Paged', 'folim' ),
		'numeric' => esc_html__( 'Numeric', 'folim' )
	),
	'default' => 'numeric',
) );

/**
 * Search page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ss_1',
	'section' => 'section_search',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'folim' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_layout',
	'section' => 'section_search',
	'label' => esc_html__( 'Search Layout', 'folim' ),
	'description' => esc_html__( 'Select a blog layout from the list below.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'folim' ),
		'classic' => esc_html__( 'Classic', 'folim' ),
		'masonry' => esc_html__( 'Masonry', 'folim' )
	),
	'default' => 'default',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_type_pagination',
	'section' => 'section_search',
	'label' => esc_html__( 'Type Pagination', 'folim' ),
	'description' => esc_html__( 'Select the type of navigation from the list below.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'folim' ),
		'paged' => esc_html__( 'Paged', 'folim' ),
		'numeric' => esc_html__( 'Numeric', 'folim' )
	),
	'default' => 'numeric',
) );

/**
 * Single post
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ssp_1',
	'section' => 'section_single_post',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'folim' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'single_post_default_style',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Default Style', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'folim' ),
		'right-sidebar' => esc_html__( 'Right Sidebar', 'folim' ),
		'left-sidebar' => esc_html__( 'Left Sidebar', 'folim' ),
		'fullwidth' => esc_html__( 'Fullwidth', 'folim' )
	),
	'default' => 'none',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'about_author',
	'section' => 'section_single_post',
	'label' => esc_html__( 'About Author', 'folim' ),
	'description' => esc_html__( 'Switch "Show" if you want to show "About Author" section.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'folim' ),
		'hide' => esc_html__( 'Hide', 'folim' )
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'post_navigation',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Navigation', 'folim' ),
	'description' => esc_html__( 'Switch "Show" if you want to show "Post Navigation" section.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'folim' ),
		'hide' => esc_html__( 'Hide', 'folim' )
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'post_views',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Views', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'folim' ),
		'hide' => esc_html__( 'Hide', 'folim' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'show_share_post',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Share', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'folim' ),
		'hide' => esc_html__( 'Hide', 'folim' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'also_like_posts',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Also Like Posts', 'folim' ),
	'description' => esc_html__( 'Switch "Show" if you want to show "Also Like Posts" section.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'folim' ),
		'hide' => esc_html__( 'Hide', 'folim' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'code',
	'settings' => 'after_post_shortcode',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Shortcode After Post', 'folim' ),
	'description' => esc_html__( 'Enter Shortcode which will be visible after single post.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'language' => 'php',
	),
	'default' => '',
) );