<?php

/**
 * @author: VLThemes
 * @version: 2.0.3
 */

# Portfolio Single

$priority = 0;

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'portfolio_navigation',
	'section' => 'section_single_portfolio',
	'label' => esc_html__( 'Show Navigation', 'folim' ),
	'description' => esc_html__( 'Switch "Show" if you want to show navigation.', 'folim' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'folim' ),
		'hide' => esc_html__( 'Hide', 'folim' )
	),
	'default' => 'show',
) );

if ( class_exists( 'Kirki_Helper' ) ) {

	VLT_Options::add_field( array(
		'type' => 'select',
		'settings' => 'portfolio_link',
		'section' => 'section_single_portfolio',
		'label' => esc_html__( 'Back to Works', 'folim' ),
		'description' => esc_html__( 'Link to the list of portfolio posts.', 'folim' ),
		'tooltip' => esc_html__( 'For back button', 'folim' ),
		'priority' => $priority++,
		'transport' => 'auto',
		'multiple' => 1,
		'choices' => Kirki_Helper::get_posts(
			array(
				'posts_per_page' => 9999,
				'post_type' => 'page'
			)
		),
		'default' => '',
		'active_callback' => array(
			array(
				'setting' => 'portfolio_navigation',
				'operator' => '==',
				'value' => 'show'
			)
		),
	) );

}