<?php

if( function_exists('acf_add_local_field_group') ):

	acf_add_local_field_group(array(
		'key' => 'group_5a5322dfc7ae3',
		'title' => '[Menu Item] Footer Menu Icon',
		'fields' => array(
			array(
				'key' => 'field_5a5322dfcaf20',
				'label' => 'Item Icon',
				'name' => 'menu_item_icon',
				'type' => 'text',
				'instructions' => 'Enter the icon class. For example: "fa-regular fa-cart-shopping"',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'nav_menu_item',
					'operator' => '==',
					'value' => 'location/footer-menu',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_5a1d32bd0fafb',
		'title' => '[Menu Item] Primary Menu Icon',
		'fields' => array(
			array(
				'key' => 'field_5a1d32d9876a9',
				'label' => 'Item Icon',
				'name' => 'primary_menu_item_icon',
				'type' => 'text',
				'instructions' => 'Enter the icon class. For example: "fa-regular fa-cart-shopping"',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'nav_menu_item',
					'operator' => '==',
					'value' => 'location/primary-menu',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_5bc26122a92ad',
		'title' => '[Page] Overrides',
		'fields' => array(
			array(
				'key' => 'field_5bc318c304751',
				'label' => 'Navigation',
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_5bc26126286c2',
				'label' => 'Custom Navigation',
				'name' => 'page_custom_navigation',
				'type' => 'true_false',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
			array(
				'key' => 'field_5bc33c5551a6c',
				'label' => 'Navigation Show',
				'name' => 'navigation_show',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc26126286c2',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'show' => 'Show',
					'hide' => 'Hide',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc3406c8a592',
				'label' => 'Navigation Type',
				'name' => 'navigation_type',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc26126286c2',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc33c5551a6c',
							'operator' => '==',
							'value' => 'show',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'default' => 'Default',
					'fullscreen' => 'Fullscreen',
					'slide' => 'Slide',
					'center' => 'Center',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc3a717dfaa9',
				'label' => 'Navigation Opaque',
				'name' => 'navigation_opaque',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc26126286c2',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc33c5551a6c',
							'operator' => '==',
							'value' => 'show',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'slide',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'aside',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'enable' => 'Enable',
					'disable' => 'Disable',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc3a769dfaac',
				'label' => 'Transparent',
				'name' => 'navigation_transparent',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc26126286c2',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc33c5551a6c',
							'operator' => '==',
							'value' => 'show',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'slide',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'aside',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'enable' => 'Enable',
					'disable' => 'Disable',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc3a788dfaad',
				'label' => 'Transparent Always',
				'name' => 'navigation_transparent_always',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc26126286c2',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc33c5551a6c',
							'operator' => '==',
							'value' => 'show',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'slide',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'aside',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'enable' => 'Enable',
					'disable' => 'Disable',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc3a7a1dfaae',
				'label' => 'Sticky',
				'name' => 'navigation_sticky',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc26126286c2',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc33c5551a6c',
							'operator' => '==',
							'value' => 'show',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'slide',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'aside',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'enable' => 'Enable',
					'disable' => 'Disable',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc3a7b4dfaaf',
				'label' => 'Hide on Scroll',
				'name' => 'navigation_hide_on_scroll',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc26126286c2',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc33c5551a6c',
							'operator' => '==',
							'value' => 'show',
						),
						array(
							'field' => 'field_5bc3a7a1dfaae',
							'operator' => '==',
							'value' => 'enable',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'slide',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'aside',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'enable' => 'Enable',
					'disable' => 'Disable',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc3a7cbdfab1',
				'label' => 'White Text on Top',
				'name' => 'navigation_white_text_on_top',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc26126286c2',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc33c5551a6c',
							'operator' => '==',
							'value' => 'show',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'slide',
						),
						array(
							'field' => 'field_5bc3406c8a592',
							'operator' => '!=',
							'value' => 'aside',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'enable' => 'Enable',
					'disable' => 'Disable',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc31a3995664',
				'label' => 'Footer',
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_5bc31a7895666',
				'label' => 'Custom Footer',
				'name' => 'page_custom_footer',
				'type' => 'true_false',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
			array(
				'key' => 'field_5bc31aef95668',
				'label' => 'Footer Show',
				'name' => 'footer_show',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc31a7895666',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'show' => 'Show',
					'hide' => 'Hide',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_6132674ab4fc9',
				'label' => 'Footer Type',
				'name' => 'footer_type',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc31a7895666',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc31aef95668',
							'operator' => '==',
							'value' => 'show',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'default' => 'Default',
					'widget' => 'Widget',
					'template' => 'Template',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5be6a77d19ddc',
				'label' => 'Footer Template',
				'name' => 'footer_template',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc31a7895666',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_5bc31aef95668',
							'operator' => '==',
							'value' => 'show',
						),
						array(
							'field' => 'field_6132674ab4fc9',
							'operator' => '==',
							'value' => 'template',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
				),
				'default_value' => false,
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5bc3271441b79',
				'label' => 'Back to Top',
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_5bc3274541b7a',
				'label' => 'Custom Back to Top',
				'name' => 'page_custom_back_to_top',
				'type' => 'true_false',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
			array(
				'key' => 'field_5bc326e541b78',
				'label' => 'Back to Top',
				'name' => 'back_to_top',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5bc3274541b7a',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'show' => 'Show',
					'hide' => 'Hide',
				),
				'default_value' => false,
				'allow_null' => 1,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
			),
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
				),
			),
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'product',
				),
			),
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'portfolio',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_59c76acfc0a37',
		'title' => '[Page] Page Subtitle',
		'fields' => array(
			array(
				'key' => 'field_59c76ae45a51f',
				'label' => 'Page Subtitle',
				'name' => 'page_subtitle',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'default',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'acf_after_title',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_58cb8cfcb51cd',
		'title' => '[Widget] About',
		'fields' => array(
			array(
				'key' => 'field_58cb8d5d6c404',
				'label' => 'Image',
				'name' => 'image',
				'type' => 'image',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'return_format' => 'id',
				'preview_size' => 'thumbnail',
				'library' => 'all',
				'min_width' => '',
				'min_height' => '',
				'min_size' => '',
				'max_width' => '',
				'max_height' => '',
				'max_size' => '',
				'mime_types' => '',
			),
			array(
				'key' => 'field_59d3535d0791c',
				'label' => 'Title',
				'name' => 'title',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_58cb8d1f6c402',
				'label' => 'Text',
				'name' => 'text',
				'type' => 'wysiwyg',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'tabs' => 'all',
				'toolbar' => 'full',
				'media_upload' => 1,
				'delay' => 0,
			),
			array(
				'key' => 'field_59be348f107e9',
				'label' => 'Signature',
				'name' => 'signature',
				'type' => 'image',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'return_format' => 'id',
				'preview_size' => 'thumbnail',
				'library' => 'all',
				'min_width' => '',
				'min_height' => '',
				'min_size' => '',
				'max_width' => '',
				'max_height' => '',
				'max_size' => '',
				'mime_types' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'widget',
					'operator' => '==',
					'value' => 'vlthemes_widget_about',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_59be47f52a277',
		'title' => '[Widget] Popular Posts',
		'fields' => array(
			array(
				'key' => 'field_59be47f52d5c0',
				'label' => 'Number of Posts',
				'name' => 'number_of_posts',
				'type' => 'number',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => 3,
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 1,
				'max' => '',
				'step' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'widget',
					'operator' => '==',
					'value' => 'vlthemes_widget_popular_posts',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_59be4075bbab4',
		'title' => '[Widget] Recent Posts',
		'fields' => array(
			array(
				'key' => 'field_59be408062a67',
				'label' => 'Number of Posts',
				'name' => 'number_of_posts',
				'type' => 'number',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => 3,
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 1,
				'max' => '',
				'step' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'widget',
					'operator' => '==',
					'value' => 'vlthemes_widget_recent_posts',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_5f3bb2f47e2af',
		'title' => '[Widget] Socials',
		'fields' => array(
			array(
				'key' => 'field_5f3bb30fe29be',
				'label' => 'Social Style',
				'name' => 'social_style',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'style-1' => 'Style 1',
					'style-2' => 'Style 2',
				),
				'default_value' => 'style-1',
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5f3bb37ee29bf',
				'label' => 'Social List',
				'name' => 'social_list',
				'type' => 'repeater',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'collapsed' => '',
				'min' => 0,
				'max' => 0,
				'layout' => 'table',
				'button_label' => '',
				'sub_fields' => array(
					array(
						'key' => 'field_5f3bb3e9e29c2',
						'label' => 'Social URL',
						'name' => 'social_url',
						'type' => 'url',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
						'placeholder' => '',
					),
					array(
						'key' => 'field_5f3bb3f4e29c3',
						'label' => 'Social Icon',
						'name' => 'social_icon',
						'type' => 'select',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'choices' => array(
							'socicon-internet' => 'Internet',
							'socicon-moddb' => 'Moddb',
							'socicon-indiedb' => 'Indiedb',
							'socicon-traxsource' => 'Traxsource',
							'socicon-gamefor' => 'Gamefor',
							'socicon-pixiv' => 'Pixiv',
							'socicon-myanimelist' => 'Myanimelist',
							'socicon-blackberry' => 'Blackberry',
							'socicon-wickr' => 'Wickr',
							'socicon-spip' => 'Spip',
							'socicon-napster' => 'Napster',
							'socicon-beatport' => 'Beatport',
							'socicon-hackerone' => 'Hackerone',
							'socicon-hackernews' => 'Hackernews',
							'socicon-smashwords' => 'Smashwords',
							'socicon-kobo' => 'Kobo',
							'socicon-bookbub' => 'Bookbub',
							'socicon-mailru' => 'Mailru',
							'socicon-gitlab' => 'Gitlab',
							'socicon-instructables' => 'Instructables',
							'socicon-portfolio' => 'Portfolio',
							'socicon-codered' => 'Codered',
							'socicon-origin' => 'Origin',
							'socicon-nextdoor' => 'Nextdoor',
							'socicon-udemy' => 'Udemy',
							'socicon-livemaster' => 'Livemaster',
							'socicon-crunchbase' => 'Crunchbase',
							'socicon-homefy' => 'Homefy',
							'socicon-calendly' => 'Calendly',
							'socicon-realtor' => 'Realtor',
							'socicon-tidal' => 'Tidal',
							'socicon-qobuz' => 'Qobuz',
							'socicon-natgeo' => 'Natgeo',
							'socicon-mastodon' => 'Mastodon',
							'socicon-unsplash' => 'Unsplash',
							'socicon-homeadvisor' => 'Homeadvisor',
							'socicon-angieslist' => 'Angieslist',
							'socicon-codepen' => 'Codepen',
							'socicon-slack' => 'Slack',
							'socicon-openaigym' => 'Openaigym',
							'socicon-logmein' => 'Logmein',
							'socicon-fiverr' => 'Fiverr',
							'socicon-gotomeeting' => 'Gotomeeting',
							'socicon-aliexpress' => 'Aliexpress',
							'socicon-guru' => 'Guru',
							'socicon-appstore' => 'Appstore',
							'socicon-homes' => 'Homes',
							'socicon-zoom' => 'Zoom',
							'socicon-alibaba' => 'Alibaba',
							'socicon-craigslist' => 'Craigslist',
							'socicon-wix' => 'Wix',
							'socicon-redfin' => 'Redfin',
							'socicon-googlecalendar' => 'Googlecalendar',
							'socicon-shopify' => 'Shopify',
							'socicon-freelancer' => 'Freelancer',
							'socicon-seedrs' => 'Seedrs',
							'socicon-bing' => 'Bing',
							'socicon-doodle' => 'Doodle',
							'socicon-bonanza' => 'Bonanza',
							'socicon-squarespace' => 'Squarespace',
							'socicon-toptal' => 'Toptal',
							'socicon-gust' => 'Gust',
							'socicon-ask' => 'Ask',
							'socicon-trulia' => 'Trulia',
							'socicon-loomly' => 'Loomly',
							'socicon-ghost' => 'Ghost',
							'socicon-upwork' => 'Upwork',
							'socicon-fundable' => 'Fundable',
							'socicon-booking' => 'Booking',
							'socicon-googlemaps' => 'Googlemaps',
							'socicon-zillow' => 'Zillow',
							'socicon-niconico' => 'Niconico',
							'socicon-toneden' => 'Toneden',
							'socicon-augment' => 'Augment',
							'socicon-bitbucket' => 'Bitbucket',
							'socicon-fyuse' => 'Fyuse',
							'socicon-yt-gaming' => 'Yt-gaming',
							'socicon-sketchfab' => 'Sketchfab',
							'socicon-mobcrush' => 'Mobcrush',
							'socicon-microsoft' => 'Microsoft',
							'socicon-pandora' => 'Pandora',
							'socicon-messenger' => 'Messenger',
							'socicon-gamewisp' => 'Gamewisp',
							'socicon-bloglovin' => 'Bloglovin',
							'socicon-tunein' => 'Tunein',
							'socicon-gamejolt' => 'Gamejolt',
							'socicon-trello' => 'Trello',
							'socicon-spreadshirt' => 'Spreadshirt',
							'socicon-500px' => '500px',
							'socicon-8tracks' => '8tracks',
							'socicon-airbnb' => 'Airbnb',
							'socicon-alliance' => 'Alliance',
							'socicon-amazon' => 'Amazon',
							'socicon-amplement' => 'Amplement',
							'socicon-android' => 'Android',
							'socicon-angellist' => 'Angellist',
							'socicon-apple' => 'Apple',
							'socicon-appnet' => 'Appnet',
							'socicon-baidu' => 'Baidu',
							'socicon-bandcamp' => 'Bandcamp',
							'socicon-battlenet' => 'Battlenet',
							'socicon-mixer' => 'Mixer',
							'socicon-bebee' => 'Bebee',
							'socicon-bebo' => 'Bebo',
							'socicon-behance' => 'Bēhance',
							'socicon-blizzard' => 'Blizzard',
							'socicon-blogger' => 'Blogger',
							'socicon-buffer' => 'Buffer',
							'socicon-chrome' => 'Chrome',
							'socicon-coderwall' => 'Coderwall',
							'socicon-curse' => 'Curse',
							'socicon-dailymotion' => 'Dailymotion',
							'socicon-deezer' => 'Deezer',
							'socicon-delicious' => 'Delicious',
							'socicon-deviantart' => 'Deviantart',
							'socicon-diablo' => 'Diablo',
							'socicon-digg' => 'Digg',
							'socicon-discord' => 'Discord',
							'socicon-disqus' => 'Disqus',
							'socicon-douban' => 'Douban',
							'socicon-draugiem' => 'Draugiem',
							'socicon-dribbble' => 'Dribbble',
							'socicon-drupal' => 'Drupal',
							'socicon-ebay' => 'Ebay',
							'socicon-ello' => 'Ello',
							'socicon-endomodo' => 'Endomodo',
							'socicon-envato' => 'Envato',
							'socicon-etsy' => 'Etsy',
							'socicon-facebook' => 'Facebook',
							'socicon-feedburner' => 'Feedburner',
							'socicon-filmweb' => 'Filmweb',
							'socicon-firefox' => 'Firefox',
							'socicon-flattr' => 'Flattr',
							'socicon-flickr' => 'Flickr',
							'socicon-formulr' => 'Formulr',
							'socicon-forrst' => 'Forrst',
							'socicon-foursquare' => 'Foursquare',
							'socicon-friendfeed' => 'Friendfeed',
							'socicon-github' => 'Github',
							'socicon-goodreads' => 'Goodreads',
							'socicon-google' => 'Google',
							'socicon-googlescholar' => 'Googlescholar',
							'socicon-googlegroups' => 'Googlegroups',
							'socicon-googlephotos' => 'Googlephotos',
							'socicon-googleplus' => 'Googleplus',
							'socicon-grooveshark' => 'Grooveshark',
							'socicon-hackerrank' => 'Hackerrank',
							'socicon-hearthstone' => 'Hearthstone',
							'socicon-hellocoton' => 'Hellocoton',
							'socicon-heroes' => 'Heroes',
							'socicon-smashcast' => 'Smashcast',
							'socicon-horde' => 'Horde',
							'socicon-houzz' => 'Houzz',
							'socicon-icq' => 'Icq',
							'socicon-identica' => 'Identica',
							'socicon-imdb' => 'Imdb',
							'socicon-instagram' => 'Instagram',
							'socicon-issuu' => 'Issuu',
							'socicon-istock' => 'Istock',
							'socicon-itunes' => 'Itunes',
							'socicon-keybase' => 'Keybase',
							'socicon-lanyrd' => 'Lanyrd',
							'socicon-lastfm' => 'Lastfm',
							'socicon-line' => 'Line',
							'socicon-linkedin' => 'Linkedin',
							'socicon-livejournal' => 'Livejournal',
							'socicon-lyft' => 'Lyft',
							'socicon-macos' => 'Macos',
							'socicon-mail' => 'Mail',
							'socicon-medium' => 'Medium',
							'socicon-meetup' => 'Meetup',
							'socicon-mixcloud' => 'Mixcloud',
							'socicon-modelmayhem' => 'Modelmayhem',
							'socicon-mumble' => 'Mumble',
							'socicon-myspace' => 'Myspace',
							'socicon-newsvine' => 'Newsvine',
							'socicon-nintendo' => 'Nintendo',
							'socicon-npm' => 'Npm',
							'socicon-odnoklassniki' => 'Odnoklassniki',
							'socicon-openid' => 'Openid',
							'socicon-opera' => 'Opera',
							'socicon-outlook' => 'Outlook',
							'socicon-overwatch' => 'Overwatch',
							'socicon-patreon' => 'Patreon',
							'socicon-paypal' => 'Paypal',
							'socicon-periscope' => 'Periscope',
							'socicon-persona' => 'Persona',
							'socicon-pinterest' => 'Pinterest',
							'socicon-play' => 'Play',
							'socicon-player' => 'Player',
							'socicon-playstation' => 'Playstation',
							'socicon-pocket' => 'Pocket',
							'socicon-qq' => 'Qq',
							'socicon-quora' => 'Quora',
							'socicon-raidcall' => 'Raidcall',
							'socicon-ravelry' => 'Ravelry',
							'socicon-reddit' => 'Reddit',
							'socicon-renren' => 'Renren',
							'socicon-researchgate' => 'Researchgate',
							'socicon-residentadvisor' => 'Residentadvisor',
							'socicon-reverbnation' => 'Reverbnation',
							'socicon-rss' => 'Rss',
							'socicon-sharethis' => 'Sharethis',
							'socicon-skype' => 'Skype',
							'socicon-slideshare' => 'Slideshare',
							'socicon-smugmug' => 'Smugmug',
							'socicon-snapchat' => 'Snapchat',
							'socicon-songkick' => 'Songkick',
							'socicon-soundcloud' => 'Soundcloud',
							'socicon-spotify' => 'Spotify',
							'socicon-stackexchange' => 'Stackexchange',
							'socicon-stackoverflow' => 'Stackoverflow',
							'socicon-starcraft' => 'Starcraft',
							'socicon-stayfriends' => 'Stayfriends',
							'socicon-steam' => 'Steam',
							'socicon-storehouse' => 'Storehouse',
							'socicon-strava' => 'Strava',
							'socicon-streamjar' => 'Streamjar',
							'socicon-stumbleupon' => 'Stumbleupon',
							'socicon-swarm' => 'Swarm',
							'socicon-teamspeak' => 'Teamspeak',
							'socicon-teamviewer' => 'Teamviewer',
							'socicon-technorati' => 'Technorati',
							'socicon-telegram' => 'Telegram',
							'socicon-tripadvisor' => 'Tripadvisor',
							'socicon-tripit' => 'Tripit',
							'socicon-triplej' => 'Triplej',
							'socicon-tumblr' => 'Tumblr',
							'socicon-twitch' => 'Twitch',
							'socicon-twitter' => 'Twitter',
							'socicon-uber' => 'Uber',
							'socicon-ventrilo' => 'Ventrilo',
							'socicon-viadeo' => 'Viadeo',
							'socicon-viber' => 'Viber',
							'socicon-viewbug' => 'Viewbug',
							'socicon-vimeo' => 'Vimeo',
							'socicon-vine' => 'Vine',
							'socicon-vkontakte' => 'Vkontakte',
							'socicon-warcraft' => 'Warcraft',
							'socicon-wechat' => 'Wechat',
							'socicon-weibo' => 'Weibo',
							'socicon-whatsapp' => 'Whatsapp',
							'socicon-wikipedia' => 'Wikipedia',
							'socicon-windows' => 'Windows',
							'socicon-wordpress' => 'Wordpress',
							'socicon-wykop' => 'Wykop',
							'socicon-xbox' => 'Xbox',
							'socicon-xing' => 'Xing',
							'socicon-yahoo' => 'Yahoo',
							'socicon-yammer' => 'Yammer',
							'socicon-yandex' => 'Yandex',
							'socicon-yelp' => 'Yelp',
							'socicon-younow' => 'Younow',
							'socicon-youtube' => 'Youtube',
							'socicon-zapier' => 'Zapier',
							'socicon-zerply' => 'Zerply',
							'socicon-zomato' => 'Zomato',
							'socicon-zynga' => 'Zynga',
						),
						'default_value' => false,
						'allow_null' => 0,
						'multiple' => 0,
						'ui' => 0,
						'return_format' => 'value',
						'ajax' => 0,
						'placeholder' => '',
					),
				),
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'widget',
					'operator' => '==',
					'value' => 'vlthemes_widget_socials',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	endif;