<?php

/**
 * @author: VLThemes
 * @version: 2.0.3
 */

if ( ! has_nav_menu( 'footer-menu' ) && ! folim_get_theme_mod( 'footer_copyright' ) ) {
	return;
}

$footer_class = 'vlt-footer vlt-footer--default text-center';

?>

<footer class="<?php echo folim_sanitize_class( $footer_class ); ?>">

	<div class="container">

		<?php if ( has_nav_menu( 'footer-menu' ) ) : ?>

			<div class="vlt-footer__menu">

				<?php

					wp_nav_menu( array(
						'theme_location' => 'footer-menu',
						'depth' => 1,
						'link_before'=> '<span>',
						'link_after' => '</span>',
						'walker' => new Nav_With_Icon_Walker()
					) );

				?>

			</div>
			<!-- /.vlt-footer__menu -->

		<?php endif; ?>

		<?php if ( folim_get_theme_mod( 'footer_copyright' ) ) : ?>

			<p class="vlt-footer__copyright"><?php echo sprintf( folim_get_theme_mod( 'footer_copyright' ), date( 'Y' ) ); ?></p>
			<!-- /.vlt-footer__copyright -->

		<?php endif; ?>

	</div>

</footer>
<!-- /.vlt-footer -->