<?php

/**
 * @author: VLThemes
 * @version: 2.0.3
 */

$footer_columns = folim_get_theme_mod( 'footer_columns', 4 );

switch ( $footer_columns ) {
	case 1:
		$column_class = 'col-sm-12';
		break;
	case 2:
		$column_class = 'col-sm-6';
		break;
	case 3:
		$column_class = 'col-md-4 col-sm-6';
		break;
	case 4:
		$column_class = 'col-lg-3 col-md-6 col-sm-6';
		break;
}

if ( ! folim_get_theme_mod( 'footer_copyright' ) && ! is_active_sidebar( 'footer_sidebar_1' ) ) {
	return;
}

$footer_class = 'vlt-footer vlt-footer--widget';

?>

<footer class="<?php echo folim_sanitize_class( $footer_class ); ?>">

	<div class="container">

		<div class="vlt-footer__widgets">

			<div class="row" style="--bs-gutter-y: 4.375rem;">

				<?php

					for ( $i = 1; $i < $footer_columns + 1; $i++ ) {

						if ( is_active_sidebar( 'footer_sidebar_' . $i ) ) {
							echo '<div class="' . folim_sanitize_class( $column_class ) . '">';
								dynamic_sidebar( 'footer_sidebar_' . $i );
							echo '</div>';
						}

					}

				?>

			</div>

		</div>
		<!-- /.vlt-footer__widgets -->

		<?php if ( folim_get_theme_mod( 'footer_copyright' ) ) : ?>

			<p class="vlt-footer__copyright"><?php echo sprintf( folim_get_theme_mod( 'footer_copyright' ), date( 'Y' ) ); ?></p>
			<!-- /.vlt-footer__copyright -->

		<?php endif; ?>

	</div>

</footer>
<!-- /.vlt-footer -->