<?php

/**
 * @author: VLThemes
 * @version: 2.0.3
 */

$acf_navbar = folim_get_theme_mod( 'page_custom_navigation', true );

$header_class = 'vlt-header vlt-header--center';
$navbar_class = 'vlt-navbar vlt-navbar--main';

if ( folim_get_theme_mod( 'navigation_opaque', $acf_navbar ) == 'enable' ) {
	$header_class .= ' vlt-header--opaque';
}

if ( folim_get_theme_mod( 'navigation_full_width', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' vlt-navbar--fullwidth';
}

if ( folim_get_theme_mod( 'navigation_transparent', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' vlt-navbar--transparent';
}

if ( folim_get_theme_mod( 'navigation_transparent_always', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' vlt-navbar--transparent-always';
}

if ( folim_get_theme_mod( 'navigation_sticky', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' vlt-navbar--sticky';

	if ( folim_get_theme_mod( 'navigation_hide_on_scroll', $acf_navbar ) == 'enable' ) {
		$navbar_class .= ' vlt-navbar--hide-on-scroll';
	}
}

if ( folim_get_theme_mod( 'navigation_white_text_on_top', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' vlt-navbar--white-text-on-top';
}

?>

<header class="<?php echo folim_sanitize_class( $header_class ); ?>">

	<div class="<?php echo folim_sanitize_class( $navbar_class ); ?>">

		<div class="container">

			<div class="vlt-navbar-inner--left">

				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="vlt-navbar-logo">

					<?php if ( folim_get_theme_mod( 'header_logo' ) ) : ?>

						<?php

							echo wp_get_attachment_image( folim_get_theme_mod( 'header_logo' ), 'full', false, array( 'loading' => 'lazy', 'class' => 'black' ) );

							if ( folim_get_theme_mod( 'header_logo_white' ) ) {
								echo wp_get_attachment_image( folim_get_theme_mod( 'header_logo_white' ), 'full', false, array( 'loading' => 'lazy', 'class' => 'white' ) );
							}

						?>

					<?php else: ?>

						<h2><?php bloginfo( 'name' ); ?></h2>

					<?php endif; ?>

				</a>

			</div>
			<!-- /.vlt-navbar-inner--left -->

			<div class="vlt-navbar-inner--right">

				<div class="d-none d-lg-block">

					<nav class="vlt-nav vlt-nav--default">

						<?php
							wp_nav_menu( array(
								'theme_location' => 'primary-menu',
								'depth' => 3,
								'menu_class' => 'sf-menu',
								'fallback_cb' => 'folim_fallback_menu',
								'walker' => new Nav_Primary_Walker(),
								'link_before' => '<span>',
								'link_after' => '</span>'
							) );
						?>

					</nav>

				</div>

				<div class="d-lg-none">

					<a href="#" id="vlt-mobile-menu-toggle" class="vlt-menu-burger">
						<i class="fa-regular fa-bars"></i>
					</a>

				</div>

				<?php if ( is_active_sidebar( 'aside_sidebar' ) ) : ?>

					<div class="d-none d-lg-block">

						<a href="#" id="vlt-aside-sidebar-toggle" class="vlt-menu-burger vlt-menu-burger--sidebar">
							<i class="fa-regular fa-bars-sort"></i>
						</a>

					</div>

				<?php endif; ?>

			</div>
			<!-- /.vlt-navbar-inner--right -->

		</div>

		<div class="d-lg-none">

			<nav class="vlt-nav vlt-nav--mobile">

				<?php

					if ( has_nav_menu( 'primary-menu' ) ) {
						wp_nav_menu( array(
							'theme_location' => 'primary-menu',
							'depth' => 3,
							'menu_class' => 'sf-menu',
							'walker' => new Nav_Primary_Walker()
						) );
					}

				?>

			</nav>
			<!-- /.vlt-mobile-nav -->

		</div>

	</div>
	<!-- /.vlt-navbar -->

</header>
<!-- /.vlt-header -->