<?php

/**
 * @author: VLThemes
 * @version: 2.0.3
 */

$column_sidebar_class = 'col-lg-4 order-lg-1';
$column_content_class = is_active_sidebar( 'blog_sidebar' ) ? 'col-lg-8 order-lg-2' : 'col-lg-12';

if ( folim_get_theme_mod( 'sticky_sidebar' ) == 'enable' ) {
	$column_sidebar_class .= ' sticky-parent';
}

$sidebar_class = 'vlt-sidebar vlt-sidebar--left';

?>

<main class="vlt-main">

	<?php get_template_part( 'template-parts/page-title/page-title', 'blog' ); ?>

	<div class="vlt-page-content vlt-page-content--padding">

		<div class="container">

			<div class="row">

				<div class="<?php echo folim_sanitize_class( $column_content_class ); ?>">

					<?php get_template_part( 'template-parts/single-post/post', 'single' ); ?>

				</div>
				<!-- /.col-md-8 -->

				<?php if ( is_active_sidebar( 'blog_sidebar' ) ) : ?>

					<div class="<?php echo folim_sanitize_class( $column_sidebar_class ); ?>">

						<?php if ( folim_get_theme_mod( 'sticky_sidebar' ) == 'enable' ) : ?>

							<div class="sticky-column">

						<?php endif; ?>

							<div class="<?php echo folim_sanitize_class( $sidebar_class ); ?>">

								<?php get_sidebar(); ?>

							</div>

						<?php if ( folim_get_theme_mod( 'sticky_sidebar' ) == 'enable' ) : ?>

							</div>

						<?php endif; ?>

					</div>

				<?php endif; ?>

			</div>

		</div>

	</div>
	<!-- /.vlt-page-content -->

</div>
<!-- /.vlt-main -->