<?php
/**
 * Default pagination template.
 *
 * @var $args
 * @package visual-portfolio
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="<?php echo esc_attr( $args['class'] ); ?> vp-pagination__style-folim" data-vp-pagination-type="<?php echo esc_attr( $args['type'] ); ?>"
<?php if ( isset( $args['scroll_top_offset'] ) ) : ?>
	data-vp-pagination-scroll-top="<?php echo esc_attr( $args['scroll_top_offset'] ); ?>"
<?php endif; ?>
>
	<?php
	foreach ( $args['items'] as $item ) {
		?>
		<div class="<?php echo esc_attr( $item['class'] ); ?>">
			<?php if ( $item['url'] ) : ?>
				<a href="<?php echo esc_url( $item['url'] ); ?>">
					<?php if ( $item['is_prev_arrow'] ) : ?>
						<?php esc_html_e( 'Previous', 'folim' ); ?><?php visual_portfolio()->include_template( 'icons/arrow-left' ); ?>
					<?php elseif ( $item['is_next_arrow'] ) : ?>
						<?php visual_portfolio()->include_template( 'icons/arrow-right' ); ?><?php esc_html_e( 'Next', 'folim' ); ?>
					<?php else : ?>
						<?php echo esc_html( $item['label'] ); ?>
					<?php endif; ?>
				</a>
			<?php else : ?>
				<span><?php echo esc_html( $item['label'] ); ?></span>
			<?php endif; ?>
		</div>
		<?php
	}
	?>
</div>